Company logoTrust Center Documentation

Get brand settings

Retrieve current brand settings for the tenant including theme colors, fonts, logo, and deployment configuration. Use `locale` or `x-locale` to retrieve…

GET
/api/v1/brand

Retrieve current brand settings for the tenant including theme colors, fonts, logo, and deployment configuration. Use locale or x-locale to retrieve content for an enabled language.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Query Parameters

locale?string

Enabled Trust Center content locale.

Value in

  • "en"
  • "de"
  • "fr"
  • "ja"
  • "ko"
  • "zh"

Header Parameters

x-locale?string

Enabled Trust Center content locale. The locale query parameter takes precedence.

Value in

  • "en"
  • "de"
  • "fr"
  • "ja"
  • "ko"
  • "zh"

Response Body

application/json

curl -X GET "https://example.com/api/v1/brand"
{  "title": "Acme Trust Center",  "logo": "https://directus.example.com/assets/logo-123",  "hero": "https://directus.example.com/assets/hero-456",  "custom_font_url": "https://directus.example.com/assets/font-789",  "custom_font_name": "BrandFont.woff2",  "primary_color": "#007bff",  "background_color": "#f8f9fa",  "text_color": "#1f2937",  "font_family": "Inter, sans-serif",  "overview_text": "Welcome to our trust center",  "overview_text_2": "We also invest heavily in privacy and reliability.",  "brand_extended": {    "css": ".markdown-viewer h2 { color: #123456; }"  },  "footer_text": "© 2025 Acme. All rights reserved.",  "email_from": "security@acme.example",  "emailProvider": "lettermint",  "email_footer": "Acme GmbH | Example Street 1, 20459 Hamburg | [acme.example](https://acme.example)\n\n**Managing Director:** Jane Doe | VAT ID: DE123456789\n",  "footer_links": [    {      "id": "link1",      "text": "Privacy Policy",      "url": "https://Acme.de/privacy"    }  ],  "faqs": [    {      "question": "How can I request access to documents?",      "answer": "Sign in and submit an access request."    }  ],  "deployment_domains": "trust.Acme.de"}

How is this guide?